Package dev.plex.world

# Class NoiseOptions

java.lang.Object
dev.plex.world.NoiseOptions

Direct Known Subclasses:
  `OctaveOptions`

public class NoiseOptions extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`private final double`
`amplitude`
`private final double`
`frequency`
`private final boolean`
`normalized`
`private final int`
`x`
`private final int`
`y`

## Constructor Summary

Constructors
Constructor
Description
`NoiseOptions(int x, int y, double frequency, double amplitude, boolean normalized)`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### x

private final int x

### y

private final int y

### frequency

private final double frequency

### amplitude

private final double amplitude

### normalized

private final boolean normalized

## Constructor Details

### NoiseOptions

public NoiseOptions(int x, int y, double frequency, double amplitude, boolean normalized)